# frozen_string_literal: true

module PlanetExpress
  class DiscountBudget
    attr_reader :budget

    def initialize(budget:)
      @budget = budget
      @applied_discounts = []
    end

    def apply_discount(discount)
      possible_discount = maximum_possible_discount(discount)
      applied_discounts.push(possible_discount)
      possible_discount
    end

    def available_budget
      budget - spent_budget
    end

    private

    attr_reader :applied_discounts

    def spent_budget
      applied_discounts.sum
    end

    def maximum_possible_discount(discount)
      [available_budget, discount].min
    end
  end
end
