module PlanetExpress
  class DiscountBudgetForMonthRepository
    DEFAULT_BUDGET = 1000
    attr_reader :data

    def initialize(data: {})
      @data = data
    end

    def for_month(date)
      return budget_for_month(date) if budget_for_month?(date)

      add_budget_for_month(date)
      budget_for_month(date)
    end

    private

    def budget_for_month(date)
      data[start_of_month(date)]
    end

    def budget_for_month?(date)
      !budget_for_month(date).nil?
    end

    def add_budget_for_month(date)
      data[start_of_month(date)] = DiscountBudget.new(budget: DEFAULT_BUDGET)
    end

    def start_of_month(date)
      Date.new(date.year, date.month, 1)
    end
  end
end
