# frozen_string_literal: true

module PlanetExpress
  class Shipment
    attr_reader :date, :shipping_option, :discounts

    def initialize(date, shipping_option)
      @date = date
      @shipping_option = shipping_option
      @discounts = []
    end

    def if_valid(&block)
      yield self
    end

    def add_discount(discount)
      discounts.push(discount)
    end

    def inspect
      "#{self.class.name} [#{date} #{shipping_option}]"
    end
  end
end
