# frozen_string_literal: true

RSpec.describe PlanetExpress::DiscountBudget do
  let(:budget) { 500 }
  subject { described_class.new(budget: budget) }

  describe '#apply_discount' do
    context 'with sufficient remaining budget' do
      it 'returns the full discount' do
        expect(subject.apply_discount(120)).to eq(120)
        expect(subject.available_budget).to eq(380)
      end
    end

    context 'with insufficient remaining budget' do
      it 'returns only the remaining budget' do
        expect(subject.apply_discount(650)).to eq(500)
        expect(subject.available_budget).to eq(0)
      end
    end
  end
end
